Loading...

Microsoft SQL Server Agent: System Requirements

The following requirements are for the SQL Server Agent:

Application

Microsoft SQL Server 2019 Editions up to the latest Service Pack

Microsoft SQL Server 2017 Editions up to the latest Service Pack

Microsoft SQL Server 2016 Editions up to the latest Service Pack

Microsoft SQL Server 2014 Editions up to the latest Service Pack

Microsoft SQL Server 2012 Editions up to the latest Service Pack

Microsoft SQL Server 2008 R2 Editions up to the latest Service Pack

Microsoft SQL Server 2008 Editions up to the latest Service Pack

Microsoft SQL Server 2005 Editions up to the latest Service Pack [Extended Support]

Operating System

Linux

Ubuntu 16.04 LTS

Only supported on Microsoft SQL Server 2017. The file system type must be EXT4.

SuSE Linux 12 SP2 Enterprise Server

Only supported on Microsoft SQL Server 2017. The file system type must be EXT4.

Red Hat Enterprise Linux 7.3 Workstation, Server, and Desktop

Only supported on Microsoft SQL Server 2017. The file system type must be XFS or EXT4.

Red Hat Enterprise Linux 7.4 Workstation, Server, and Desktop

Only supported on Microsoft SQL Server 2017. The file system type must be XFS or EXT4.

Windows Server 2019

Microsoft Windows Server 2019 Editions

Windows 2016

Microsoft Windows Server 2016 Editions

Windows Server 2012

Microsoft Windows Server 2012 Editions

Microsoft Windows Server 2012 R2 Editions

Microsoft Windows 10

Microsoft Windows 10

Windows 8

Microsoft Windows 8 Editions

Windows 7

Microsoft Windows 7 Editions

Windows Server 2008

Microsoft Windows Server 2008 Editions with a minimum of Service Pack 1

Microsoft Windows Server 2008 R2 Editions

Windows Server 2003

Microsoft Windows Server 2003 Editions [Extended Support]

Windows Vista

Microsoft Windows Vista Editions

Use the Commvault user account (and not the local system account) to run the Commvault Communications Service (GxCVD).

Windows XP

Microsoft Windows XP Editions with a minimum of Service Pack 3 [Extended Support]

Cluster - Support

The software can be installed on a Cluster if clustering is supported by the above-mentioned operating systems.

For information on supported cluster types, see Clustering - Support.

Hard Drive

265 MB of minimum disk space is required for installing the software.

50 MB of additional hard disk space is required for log file growth.

724 MB of temporary space is required for install or upgrade (where the temp folder resides).

Processor

All Windows-compatible processors are supported.

Miscellaneous

Microsoft Visual C++ Redistributable 2017 is Automatically Installed

Starting in Service Pack 18, Microsoft Visual C++ Redistributable 2017 (vcredist2017.exe) is automatically installed. If a computer does not have the latest Windows updates, the installation of Microsoft Visual C++ Redistributable 2017 will fail in installing Universal C Runtime.

The following Windows updates must be installed to prevent the installation failure:

KB2919355

KB2939087

KB2975061

KB2999226

Updates are not required on latest Windows operating system versions, such as Microsoft Windows 10 and Microsoft Windows Server 2016, as these versions come with the Universal C Runtime already installed.

.NET Framework Requirements

.NET Framework 4.0 is required and is automatically installed.

Java SE Platform

The Java version is installed automatically during the installation of this software. If you already have a system installed Java version, the software will install another instance of the supported Java version in the software installation path.

Manually upgrading the Java version installed by the software is not supported.

DISCLAIMER

Third-party maintenance (minor) releases or feature releases that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or feature releases. In some cases, these minor releases or feature releases affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or feature releases. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or feature releases are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.

Last modified: 1/3/2020 10:16:11 PM